//
//  WMShareCellCollectionViewCell.h
//  Gengmei
//
//  Created by Sean Lee on 1/23/15.
//  Copyright (c) 2015 Wanmeichuangyi. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "GMThirdPartyDefine.h"


typedef void (^TransferResponseChainBlock) (void);

@class GMButton;
@interface GMShareCell : UICollectionViewCell<UIGestureRecognizerDelegate>

@property (nonatomic, strong) UIButton * shareButton;

/**
 *  @brief  因为使用了button来布局，这样cell的高亮处理方便些。所以这里用一个block进行响应链传递，手动执行collectionView的didselect方法
 */
@property (nonatomic, copy)   TransferResponseChainBlock  transferResponseChainBlock;
@property (nonatomic, assign) GMSharePlatform shareType;
@end
