//
//  GMThirdPartyOauthManager.h
//  Gengmei
//
//  Created by licong on 2017/8/2.
//  Copyright © 2017年 更美互动信息科技有限公司. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "GMThirdPartyLoginHelper.h"
#import <TencentOpenAPI/TencentOAuth.h>
#import <TencentOpenAPI/QQApiInterface.h>
#import <WechatOpenSDK/WXApi.h>
#import <WeiboSDK/WeiboSDK.h>
#import <DouyinOpenSDK/DouyinOpenSDKApi.h>

//这里是接受三方授权的回调
@interface GMThirdPartyOauthManager : NSObject <TencentSessionDelegate, QQApiInterfaceDelegate, WXApiDelegate, WeiboSDKDelegate, DouyinOpenSDKApiDelegate>
@property (nonatomic, strong) GMThirdPartyUser * user;
@property (nonatomic, assign) GMSharePlatform currentShareType;
@property (strong, nonatomic) NSString *wbtoken;
@property (strong, nonatomic) TencentOAuth * tencentOAuth;
+ (instancetype)shareInstance;
@end
